sc::CCAEnv(3)

NAME
sc::CCAEnv -

The CCAEnv class handles embedded CCA frameworks.

SYNOPSIS

#include <ccaenv.h>

  Static Public Member Functions
static void init (std::string &args)
Initialize the framework.
static int initialized ()
Return nonzero if CCAEnv has been initialized.
static
ccaffeine::AbstractFramework * get_framework ()"
Returns pointer to framework.
static gov::cca::Services * get_services ()
Returns pointer to Services object.
static
gov::cca::ports::BuilderService * get_builder_service ()"
Returns pointer to BuilderService object.
static gov::cca::TypeMap * get_type_map ()
Returns pointer to type map.
static gov::cca::ComponentID * get_component_id ()
Returns pointer to 'uber' component's ComponentID.

Detailed Description

The CCAEnv class handles embedded CCA frameworks.

Author

Generated automatically by Doxygen for MPQC from the source code.